Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.meta.strats
Class ValueMapDiscriminatorStrategy

    java.lang.Object
      org.apache.openjpa.jdbc.meta.strats.AbstractStrategy
          org.apache.openjpa.jdbc.meta.strats.AbstractDiscriminatorStrategy
              org.apache.openjpa.jdbc.meta.strats.InValueDiscriminatorStrategy
                  org.apache.openjpa.jdbc.meta.strats.ValueMapDiscriminatorStrategy

All Implemented Interfaces:
  Serializable, DiscriminatorStrategy, Strategy

    public class ValueMapDiscriminatorStrategy

extends InValueDiscriminatorStrategy

Maps metadata-given values to classes.

Author:
  Abe White
See Also:
  Serialized Form

Field Summary
`static String` | `ALIAS`

Fields inherited from class org.apache.openjpa.jdbc.meta.strats.AbstractDiscriminatorStrategy
`disc, isFinal`

Constructor Summary
`ValueMapDiscriminatorStrategy()`

Method Summary
`String` | `getAlias()` Return the alias of this strategy.
`protected Class` | `getClass(Object val, JDBCStore store)` Convert the given discriminator value to the corresponding class.
`protected Object` | `getDiscriminatorValue(ClassMapping cls)` Return the discriminator value for the given type.
`protected int` | `getJavaType()` Return the Java type code from `JavaTypes` for the discriminator values.
`void` | `map(boolean adapt)` Map the owning mapping using this strategy.

Methods inherited from class org.apache.openjpa.jdbc.meta.strats.InValueDiscriminatorStrategy
`getClass, getClassConditions, hasClassConditions, insert, select`

Methods inherited from class org.apache.openjpa.jdbc.meta.strats.AbstractDiscriminatorStrategy
`loadSubclasses, setDiscriminator`

Methods inherited from class org.apache.openjpa.jdbc.meta.strats.AbstractStrategy
`customDelete, customInsert, customUpdate, delete, initialize, isCustomDelete, isCustomInsert, isCustomUpdate, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.jdbc.meta.Strategy
`customDelete, customInsert, customUpdate, delete, initialize, isCustomDelete, isCustomInsert, isCustomUpdate, update`

Field Detail

### ALIAS

    public static final String ALIAS

See Also:
  Constant Field Values

Constructor Detail

### ValueMapDiscriminatorStrategy

    public ValueMapDiscriminatorStrategy()

Method Detail

### getAlias

    public String getAlias()

  Description copied from interface: `Strategy`
  Return the alias of this strategy. For custom strategies, return the full class name.

  Specified by:
    `getAlias` in interface `Strategy`
  Overrides:
    `getAlias` in class `AbstractStrategy`

### getJavaType

    protected int getJavaType()

  Description copied from class: `InValueDiscriminatorStrategy`
  Return the Java type code from `JavaTypes` for the discriminator values. This method is only used during mapping installation.

  Specified by:
    `getJavaType` in class `InValueDiscriminatorStrategy`

### getDiscriminatorValue

    protected Object getDiscriminatorValue(ClassMapping cls)

  Description copied from class: `InValueDiscriminatorStrategy`
  Return the discriminator value for the given type.

  Specified by:
    `getDiscriminatorValue` in class `InValueDiscriminatorStrategy`

### getClass

    protected Class getClass(Object val,
                             JDBCStore store)
                      throws ClassNotFoundException

  Description copied from class: `InValueDiscriminatorStrategy`
  Convert the given discriminator value to the corresponding class.

  Specified by:
    `getClass` in class `InValueDiscriminatorStrategy`
  Throws:
    `ClassNotFoundException`

### map

    public void map(boolean adapt)

  Description copied from interface: `Strategy`
  Map the owning mapping using this strategy.

  Specified by:
    `map` in interface `Strategy`
  Overrides:
    `map` in class `InValueDiscriminatorStrategy`
  Parameters:
    `adapt` - if true, use the owning mapping's raw mapping info to set its ORM data; if false, ORM data will already be set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.